#
# spec file for package vulkan-headers
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vulkan-headers
Version:        1.2.133
Release:        lp152.1.1
Summary:        Vulkan C and C++ API header files
License:        Apache-2.0
Group:          Development/Libraries/C and C++
URL:            https://github.com/KhronosGroup/Vulkan-Headers
Source:         https://github.com/KhronosGroup/Vulkan-Headers/archive/v%version.tar.gz
BuildRequires:  cmake >= 2.8.11
BuildArch:      noarch
Requires:       pkgconfig(wayland-client)
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xcb)
Requires:       pkgconfig(xrandr)
Conflicts:      vulkan-devel < 1.1.91

%description
Vulkan is a 3D graphics and compute API providing cross-platform
access to modern GPUs with low overhead and targeting realtime
graphics applications such as games and interactive media.

This package contains the development headers for packages wanting
to make use of Vulkan.

%prep
%autosetup -n Vulkan-Headers-%version

%build
%cmake \
	-DCMAKE_INSTALL_SYSCONFDIR="%_sysconfdir" \
	-DBUILD_WSI_MIR_SUPPORT=OFF \
	-DBUILD_TESTS=OFF
make %{?_smp_mflags}

%install
%cmake_install

%files
%license LICENSE.txt
%_includedir/vulkan/
%_datadir/vulkan/

%changelog
* Tue Feb 18 2020 Antonio Larrosa <alarrosa@suse.com>
- Update to release 1.2.133
  * No changelog supplied
* Mon Feb  3 2020 Antonio Larrosa <alarrosa@suse.com>
- Update to release 1.2.132
  * No changelog supplied
* Sun Jan 19 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.131
  * No changelog supplied
* Thu Dec 12 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.1.130
  * The new VK_EXT_tooling_info extension can be used to let the
    Vulkan application/game/engine query what development tools
    are running right now.
* Thu Nov  7 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.1.127
  * VK_KHR_separate_depth_stencil_layouts allows for image memory
    barriers for depth/stencil images to have just one of the
    depth or stencil bits set instead of both.
* Sat Oct 26 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.1.126
  * No changelog supplied
* Wed Oct 16 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.1.124
  * headers: add metal surface support to ICD header
* Sun Sep 22 2019 Aaron Stern <ukbeast89@protonmail.com>
- Update to new upstream release 1.1.123
  * Update headers in accordance with 1.1.123 specification.
* Wed Aug 21 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.120
  * Update headers in accordance with 1.1.120 specification.
* Sun Aug 18 2019 Aaron Stern <ukbeast89@ptotonmail.com>
- Update to new upstream release 1.1.119
  * No changelog was provided
* Fri Jun 28 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.112
  * No changelog was provided
* Tue Jun  4 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.108
  * headers: device creation callbacks for layers
* Sat Mar 16 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.102
  * No changelog was provided
* Mon Feb 18 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.100
  * Add missing return statement to to_string functions
* Thu Jan 24 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.98
  * Header file updated to the 1.1.98 specification
* Tue Dec 18 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.96
  * No changelog was provided
* Mon Dec  3 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.1.95
  * New extensions: VK_KHR_shader_float16_int8,
    VK_KHR_shader_float_controls
* Mon Nov 12 2018 Jan Engelhardt <jengelh@inai.de>
- Split vulkan SRPM -> vulkan-headers SRPM, following an upstream
  repository split.
- Update to new upstream release 1.1.91
  * Generally no summary changelog is given for the header files
    by upstream
